> ## Documentation Index
> Fetch the complete documentation index at: https://doc.withedge.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Accounts

> This endpoint enables you to retrieve all the virtual accounts generated by you.

# Get All Accounts

Use this endpoint to fetch all the virtual accounts that have been created under your platform. Pagination is supported to manage large data sets.

***

## Request Parameters

<ParamField header="requestId" type="string" required>
  A unique identifier for the request, used for idempotency.\
  **Example:** `e0b9f8d0-7a57-4a67-a8b2-4d7c7b5a37c9`
</ParamField>

<ParamField query="page" type="integer" required>
  The page number to retrieve for paginated results.\
  **Example:** `1`
</ParamField>

<ParamField query="pageSize" type="integer" required>
  The number of results to return per page.\
  **Example:** `10`
</ParamField>

***

<ResponseExample>
  ```json
  {
  	"statusCode": 00,
  	"message": "Account Statement Successfully Retrieved",
  	"data": [
  		{
        "accountNumber": "5118745523",
        "accountName": "John Doe",
        "balance": 10000.00
        "currency": "NGN"
        "status": "active"
      },
      {
        "accountNumber": "1951145523",
        "accountName": "Jane Doe",
        "balance": 25000.00
        "currency": "NGN"
        "status": "active"
      }
  	],
  	"errors": [],
  	"currentPage": 1,
  	"pageSize": 10,
  	"previousPage": 0,
  	"total": 2
  }
  ```
</ResponseExample>
